%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-YAML
Version:       0.85
Release:       1mamba
Summary:       perl :: YAML - YAML Stands For: YAML Ain't Markup Language
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/YAML/YAML-%{version}.tar.gz
License:       GPL
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver
BuildArch:     noarch
BuildRoot:     %{_tmppath}/perl-root

# *** WARNING ***
# This release breaks compatibility with versions earlier than version 0.60 of
# YAML::Syck and YAML.pm when serializing blessed references.

%description
YAML Stands For: YAML Ain't Markup Language.

%prep
%setup -q -n YAML-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor << EOF



EOF
%make
make test 

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Nov 25 2013 Automatic Build System <autodist@mambasoft.it> 0.85-1mamba
- automatic update by autodist

* Sun Nov 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.84-2mamba
- perl 5.16 mass rebuild

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 0.84-1mamba
- automatic version update by autodist

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 0.81-1mamba
- automatic version update by autodist

* Sun May 22 2011 Automatic Build System <autodist@mambasoft.it> 0.73-1mamba
- automatic update by autodist

* Fri Mar 18 2011 Automatic Build System <autodist@mambasoft.it> 0.72-1mamba
- automatic update by autodist

* Thu Aug 27 2009 Automatic Build System <autodist@mambasoft.it> 0.70-1mamba
- automatic update by autodist

* Sat Jan 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.68-1mamba
- automatic update by autodist

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.66-2mamba
- automatic rebuild by autodist

* Mon Nov 12 2007 Aleph0 <aleph0@openmamba.org> 0.66-1mamba
- update to 0.66

* Thu Sep 20 2007 Aleph0 <aleph0@openmamba.org> 0.39-1mamba
- update to 0.39

* Sun Jul 18 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.35-1qilnx
- first build
